import vue from 'vue';
// element-ui
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
vue.use(ElementUI);


import './js/utils';

import './js/filter';

//api
import api from './api/api';
vue.prototype.$api = api;

//message
import './js/messageTip';

//localStorage
import local from './js/localStorage';
vue.prototype.$local = local;

import vaild from './../../static/js/vaild.js'
vue.prototype.$vaild = vaild;


// echarts from baidu
//import echarts from 'echarts';
//vue.prototype.$echarts = echarts;
// components
import loading from './components/loading';
import dropDown from './components/drop-down';
import empty from './components/empty';
import pagination from './components/pagination';
import ScrollBar from 'element-ui/lib/scrollbar';
import modelNote from './components/note';

// import '../../static/umeditor/themes/default/css/umeditor.css';
// import '../../static/umeditor/umeditor.config.js'
// import '../../static/umeditor/umeditor.js'
// import '../../static/umeditor/lang/zh-cn/zh-cn.js'
// import UE from '../../static/umeditor/umeditor.vue';

import UE from "vue-ueditor-wrap"; 

vue.component("model-loading", loading);
vue.component("model-drop-down", dropDown);
vue.component("model-empty", empty);
vue.component("model-pagination", pagination);
vue.component("ScrollBar",ScrollBar);
vue.component("model-note", modelNote);
vue.component("UE",UE);




